Bug 116460 - less displays lines twice with iso-8859 text files
less displays lines twice with iso-8859 text files
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: less (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-21 07:45 EST by Bart van Kuik
Modified: 2013-07-02 18:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 11:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of RH9 less listing the file (21.43 KB, image/png)
2004-02-21 07:47 EST, Bart van Kuik
no flags Details
Textfile in which the bug occurs. Output of 'file' on this file: "Issue17.txt: ISO-8859 English text, with CRLF line terminators" (7.00 KB, text/plain)
2004-02-21 07:48 EST, Bart van Kuik
no flags Details

  None (edit)
Description Bart van Kuik 2004-02-21 07:46:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a)
Gecko/20031015 Firebird/0.7+

Description of problem:
Use the attached text file. In a terminal emulator or on the console,
type 'less Issue17.txt'. Press space, and then press arrow up. The
upper line is shown twice, while it should have been shown only once.


Version-Release number of selected component (if applicable):
less-378-7

How reproducible:
Always

Steps to Reproduce:
1. Save the attached textfile to disk
2. Open the textfile with less: 'less Issue17.txt'
3. Press space or PgDown
4. Press arrow-up.
5. The uppermost line is shown twice
    

Actual Results:  The uppermost line in the screen is shown twice.

Expected Results:  Instead, the line that comes before the uppermost
line should have shown.

Additional info:

Running RH9 with a custom 2.6.1 kernel. Output of uname -a:
$ uname -a
Linux bkuik-nl.nl.oracle.com 2.6.1 #0 Sun Jan 11 08:51:46 CET 2004
i686 i686 i386 GNU/Linux
$ export | grep -i lang
declare -x LANG="en_US.UTF-8"
$ file Issue17.txt
Issue17.txt: ISO-8859 English text, with CRLF line terminators

The bug doesn't occur when typing the following:
$ LESSCHARSET=iso8859 less Issue17.txt

In an email exchange with the upstream author, it was determined that
later versions of less (for example version 381) don't exhibit this
problem, it's RedHat specific.
Comment 1 Bart van Kuik 2004-02-21 07:47:44 EST
Created attachment 97904 [details]
Screenshot of RH9 less listing the file
Comment 2 Bart van Kuik 2004-02-21 07:48:58 EST
Created attachment 97905 [details]
Textfile in which the bug occurs. Output of 'file' on this file: "Issue17.txt: ISO-8859 English text, with CRLF line terminators"
Comment 3 Jindrich Novy 2005-09-08 11:32:21 EDT
This is now fixed in the rawhide less.

Note You need to log in before you can comment on or make changes to this bug.